summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2018-03-05 08:13:39 -0500
committerLusheng Ji <lji@research.att.com>2018-03-05 08:14:03 -0500
commit4e0397dcc8b294408089a3264ee2b9340bcc8691 (patch)
treebf2b1c42187327eadf40ef748ab4370805319f7f /mvn-phase-script.sh
parent4a0247a319148b74b41fdd13349020b13cfd9831 (diff)
Use the mvn-phase-lib under dcaegen2/utils
Review along with change https://gerrit.onap.org/r/34057 Issue-ID: DCAEGEN2-206 Change-Id: I2b6d400a7879a2fc3276faadbadb16100a85c4af Signed-off-by: Lusheng Ji <lji@research.att.com>
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 519e809..c0d5a6a 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -81,8 +81,12 @@ echo "MVN_DOCKERREGISTRY_SNAPSHOT is [$MVN_DOCKERREGISTRY_SNAPSHOT]"
echo "MVN_DOCKERREGISTRY_RELEASE is [$MVN_DOCKERREGISTRY_RELEASE]"
echo "MVN_DOCKERREGISTRY_PUBLIC is [$MVN_DOCKERREGISTRY_PUBLIC]"
-
-source "${PROJECT_ROOT}"/mvn-phase-lib.sh
+set -e
+if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/releases/scripts/mvn-phase-lib.sh; then
+ cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
+fi
+source "${PROJECT_ROOT}"/mvn-phase-lib.sh
# Customize the section below for each project